import { ComponentType } from 'react';
export declare type WithTheme<T> = T & {
    theme: ReactNativePaper.Theme;
};
export declare type HeaderIcon = {
    /** Name of the icon */
    icon: ComponentType<{
        size: number;
        color: string;
    }>;
    /** Callback when icon is pressed */
    onPress?: () => void;
};
export declare type HeaderActionComponent = {
    component: JSX.Element;
    width?: number;
};
export declare type EdgeInsets = {
    top: number;
    left: number;
    bottom: number;
    right: number;
};
