import React, { ComponentType } from 'react';
import { WrapIconProps } from '../icon-wrapper';
declare type HeaderIconProps = {
    /** A component to render for the icon  */
    icon?: ComponentType<WrapIconProps>;
};
/**
 * HeaderIcon component
 *
 * The HeaderIcon is a helper component that is used to properly size and space icons in the Header component.
 */
export declare const HeaderIcon: React.FC<HeaderIconProps>;
export {};
